#include <QCoreApplication>
#include <QTextBoundaryFinder>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QTextBoundaryFinder::BoundaryType type = QTextBoundaryFinder::Word;
    QString txt = "  Links     Datei     Befehl     Optionen     Rechts\n┌<─ ~ ────────────────────────────────.[^]>┐┌<─ ~ ────────────────────────────────.[^]>┐\n│.n      Name        │ Größe │Modifikations││.n      Name        │ Größe │Modifikations│\n│/..                 │ÜBERVZ.│07. Jul 11:40││/..                 │ÜBERVZ.│07. Jul 11:40│\n│/.cache             │   4096│11. Jul 10:24││/.cache             │   4096│11. Jul 10:24│\n│/.config            │   4096│10. Jul 23:41││/.config            │   4096│10. Jul 23:41│\n│/.gdb               │   4096│11. Jul 00:31││/.gdb               │   4096│11. Jul 00:31│\n│/.gnupg             │   4096│11. Jul 01:57││/.gnupg             │   4096│11. Jul 01:57│\n│/.kde               │   4096│10. Jul 23:31││/.kde               │   4096│10. Jul 23:31│\n│/.local             │   4096│10. Jul 23:31││/.local             │   4096│10. Jul 23:31│\n│/Bilder             │   4096│10. Jul 23:31││/Bilder             │   4096│10. Jul 23:31│\n│/Dokumente          │   4096│10. Jul 23:31││/Dokumente          │   4096│10. Jul 23:31│\n│/Downloads          │   4096│10. Jul 23:31││/Downloads          │   4096│10. Jul 23:31│\n│/Musik              │   4096│10. Jul 23:31││/Musik              │   4096│10. Jul 23:31│\n│/Öffentlich         │   4096│10. Jul 23:31││/Öffentlich         │   4096│10. Jul 23:31│\n│/Schreibtisch       │   4096│10. Jul 23:31││/Schreibtisch       │   4096│10. Jul 23:31│\n│/Videos             │   4096│10. Jul 23:31││/Videos             │   4096│10. Jul 23:31│\n│/Vorlagen           │   4096│10. Jul 23:31││/Vorlagen           │   4096│10. Jul 23:31│\n│/source             │   4096│11. Jul 00:07││/source             │   4096│11. Jul 00:07│\n│ .Xauthority        │     51│10. Jul 23:41││ .Xauthority        │     51│10. Jul 23:41│\n│ .bash_history      │    175│11. Jul 01:30││ .bash_history      │    175│11. Jul 01:30│\n│ .bash_logout       │    220│07. Jul 11:40││ .bash_logout       │    220│07. Jul 11:40│\n│ .bashrc            │   3526│07. Jul 11:40││ .bashrc            │   3526│07. Jul 11:40│\n├──────────────────────────────────────────┤├──────────────────────────────────────────┤\n│ÜBERVZ.                                   ││ÜBERVZ.                                   │\n└──────────────────────── 1713M/17G (10%) ─┘└──────────────────────── 1713M/17G (10%) ─┘\nHinweis: Verzeichnisse Auswählen: Füge am Ende des Mustervergleichs einen Schrägstrich h\nbenutzer@debian:~$\n 1Hilfe  2Menü    3Ansicht 4Bea~ten 5Kop~ren 6Ver~en 7Mkdir   8Löschen 9Menüs  10Beenden\n\n";
    int offset = 0;

        /* like in src/gui/accessible/qaccessible.cpp:2311 */
        QTextBoundaryFinder boundary(type, txt);
        boundary.setPosition(offset);

        do {
            if ((boundary.boundaryReasons() & (QTextBoundaryFinder::StartOfItem | QTextBoundaryFinder::EndOfItem)))
                break;
        } while (boundary.toPreviousBoundary() > 0);

        while (boundary.toNextBoundary() < txt.length()) {
            if ((boundary.boundaryReasons() & (QTextBoundaryFinder::StartOfItem | QTextBoundaryFinder::EndOfItem)))
                break;
        }

    return a.exec();
}
